angular.module('app.controllers', [])
  
.controller('talkCtrl', ['$scope', '$stateParams', '$ionicPopup', 'Cardservice', '$ionicModal',// The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams, $ionicPopup, Cardservice, $ionicModal) {
    
    $scope.cards = [];
    
    $scope.loadData = function(){
        
        Cardservice.all().then(function(res){
            $scope.cards = res;
        })
    }
    
    $scope.loadData();
    
    if(typeof analytics !== "undefined"){
        analytics.trackView("Mainpage");    
        console.log("View Mainpage");
    }

    $scope.startCall = function(number){

        
        //alert('You need to tap call button on the next screen!');
        window.plugins.CallNumber.callNumber(onSuccess, onError, number, true);
        analytics.trackEvent('CallButton', 'click', 'mobile', 0);
        //window.plugins.FirebasePlugin.logEvent("hitCallButton", "default");
        console.log("hitCallButton " + number);

        function onSuccess(result){
            console.log("Success:" + result);
            analytics.trackEvent('CallSuccess', 'yes', result, 0);
        }

        function onError(result) {
            console.log("Error:" + result);
            analytics.trackEvent('CallSuccess', 'no', result, 0);
        }

    }

    $scope.startSkypeCall = function(number){

      analytics.trackEvent('CallButton', 'click', 'skype', 0);
      //window.plugins.FirebasePlugin.logEvent("hitCallButton", "default");
      console.log("hitCallButton Skype" + number);
    }
    
    $scope.showAlert = function() {
        var alertPopup = $ionicPopup.alert({
            templateUrl: 'templates/costPopup2.html'
        });

        alertPopup.then(function(res) {
            console.log('Thank you for not eating my delicious ice cream cone');
        });
    };

    $ionicModal.fromTemplateUrl('templates/costPopup.html', {
      scope: $scope,
      animation: 'slide-in-up'
    }).then(function(modal) {
      $scope.modal = modal;
    });
    $scope.openModal = function() {
      $scope.modal.show();
    };
    $scope.closeModal = function() {
      $scope.modal.hide();
    };
    // Cleanup the modal when we're done with it!
    $scope.$on('$destroy', function() {
      $scope.modal.remove();
    });
    // Execute action on hide modal
    $scope.$on('modal.hidden', function() {
      // Execute action
    });
    // Execute action on remove modal
    $scope.$on('modal.removed', function() {
      // Execute action
    });
    
}])
   
.controller('moreCtrl', ['$scope', '$stateParams', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams) {
    
    if(typeof analytics !== "undefined"){
      analytics.trackView("More Page");
      console.log("View More");
    }

    $scope.hitbutton = function(slink){
    console.log('Hit : '+ slink);
    analytics.trackEvent('Button', 'click', slink, 0);
    
    };

}])
      
.controller('gSMGuideCtrl', ['$scope', '$stateParams', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams) {

    if(typeof analytics !== "undefined"){
        analytics.trackView("Gsm Guide Page");
        console.log("View GsmGuide");
    }

}])
   
.controller('aboutUsCtrl', ['$scope', '$stateParams', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams) {

    if(typeof analytics !== "undefined"){
        analytics.trackView("About Us Page");
        console.log("View AboutUs");
    }

}])
   
.controller('welcomeCtrl', ['$scope', '$stateParams', 'Application', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams, Application) {
    
    if(typeof analytics !== "undefined"){
        analytics.trackView("Welcome Slider Page");
        console.log("View WelcomeSliderPage");
    }
    
    $scope.setInitRun = function(){
        Application.setInitialRun(false);
        Application.hitbutton('Get started');
    }
    


}])
   
.controller('costPopupCtrl', ['$scope', '$stateParams', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams) {
    
    if(typeof analytics !== "undefined"){
        analytics.trackView("Cost Popup Page");
        console.log("View More-Costs");
    }

}])
   
.controller('costPopup2Ctrl', ['$scope', '$stateParams', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $stateParams) {

    if(typeof analytics !== "undefined"){
        analytics.trackView("Cost Popup Page");
        console.log("View More-Costs");
    }

}])
 